#
# spec file for package perl-HTML-Format
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-HTML-Format
Version:        2.11
Release:        1.22
%define cpan_name HTML-Format
Summary:        Base class for HTML formatters
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/HTML-Format/
Source0:        http://www.cpan.org/authors/id/N/NI/NIGELM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Font::Metrics::Courier)
BuildRequires:  perl(Font::Metrics::CourierBold)
BuildRequires:  perl(Font::Metrics::CourierBoldOblique)
BuildRequires:  perl(Font::Metrics::CourierOblique)
BuildRequires:  perl(Font::Metrics::Helvetica)
BuildRequires:  perl(Font::Metrics::HelveticaBold)
BuildRequires:  perl(Font::Metrics::HelveticaBoldOblique)
BuildRequires:  perl(Font::Metrics::HelveticaOblique)
BuildRequires:  perl(Font::Metrics::TimesBold)
BuildRequires:  perl(Font::Metrics::TimesBoldItalic)
BuildRequires:  perl(Font::Metrics::TimesItalic)
BuildRequires:  perl(Font::Metrics::TimesRoman)
BuildRequires:  perl(HTML::Element) >= 3.15
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(Module::Build) >= 0.360100
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(parent)
Requires:       perl(Font::Metrics::Courier)
Requires:       perl(Font::Metrics::CourierBold)
Requires:       perl(Font::Metrics::CourierBoldOblique)
Requires:       perl(Font::Metrics::CourierOblique)
Requires:       perl(Font::Metrics::Helvetica)
Requires:       perl(Font::Metrics::HelveticaBold)
Requires:       perl(Font::Metrics::HelveticaBoldOblique)
Requires:       perl(Font::Metrics::HelveticaOblique)
Requires:       perl(Font::Metrics::TimesBold)
Requires:       perl(Font::Metrics::TimesBoldItalic)
Requires:       perl(Font::Metrics::TimesItalic)
Requires:       perl(Font::Metrics::TimesRoman)
Requires:       perl(HTML::Element) >= 3.15
Requires:       perl(HTML::TreeBuilder)
Requires:       perl(parent)
%{perl_requires}

%description
Base class for HTML formatters

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat May  2 2015 coolo@suse.com
- updated to 2.11
  see /usr/share/doc/packages/perl-HTML-Format/Changes
  2.11      2013-10-27 20:57:23 Europe/London
  - Typo fixes from dsteinbrunner
    https://github.com/nigelm/html-format/pull/2
  - Markdown support from mrallen1
    https://github.com/nigelm/html-format/pull/1
* Mon Jul 25 2011 vcizek@novell.com
- update to 2.10
  - Tests reworked to not use subtests.  Development versions
    of Test::More do not support subtests, and the smokers
    that are running with these dev versions then send me
    confusing test failures.  This is a pain.
  - Reworking of HTML quote issue in FormatPS
  - Now remap all double quotes to " in FormatPS (which is not
    really right, but the best I can do with latin1 output)
  - RT#69426 - issues with HTML quotes
  - UTF8 handling requires perl 5.8, so minimum requirement bumped
* Fri Apr 22 2011 vcizek@novell.com
- update to 2.07
  - Code gardening - no functionality modifications
- removed authors from spec
* Mon Feb 21 2011 vcizek@novell.com
- update to 2.05
  - Smoke tests on windows showed needed make PS tests less strict
  - Changed the github location to be all lowercase
  - Releasing this as a stop gap - will do further work now
    incompatibilities dealt with
  - Added dependancies for font metrics files
  - Documentation tidy up - but needs further work
  - RT#54636 - UNIVERSAL::Can deprecated
  - RT#56278 - RTF formatting parameters ignored by new
  - Git conversion
  - Dist::Zilla conversion
  - removed universal-can.patch (merged in upstream)
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 15 2010 jw@novell.com
- added universal-can.patch from
  https://rt.cpan.org/Public/Bug/Display.html?id=54636
  to avoid warnings:
  UNIVERSAL->import is deprecated and will be removed in a future perl at
  /usr/lib/perl5/vendor_perl/5.12.1/HTML/Formatter.pm line 110
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Aug 18 2004 kssingvo@suse.de
- upgrade to 2.04
* Tue Dec 16 2003 kssingvo@suse.de
- initial version
